> For the complete documentation index, see [llms.txt](https://docs.balena.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.balena.io/reference/api/resources/device_type.md).

# Device type

## Available Fields

| Field                       |
| --------------------------- |
| `id`                        |
| `slug`                      |
| `name`                      |
| `is_private`                |
| `is_of__cpu_architecture`   |
| `belongs_to__device_family` |

***

## Examples

### Get a device type by its ID

When querying a private device type it's necessary to include your bearer token. For public device types the auth header is optional.

```bash
GET "https://api.balena-cloud.com/v7/device_type(<ID>)" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```

### Get a device type by its SLUG

When querying a private device type it's necessary to include your bearer token. For public device types the auth header is optional.

```bash
GET "https://api.balena-cloud.com/v7/device_type(slug='<DEVICE TYPE SLUG>')" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```

### Get a device type by its NAME

When querying a private device type it's necessary to include your bearer token. For public device types the auth header is optional.

```bash
GET "https://api.balena-cloud.com/v7/device_type?\$filter=name%20eq%20'<DEVICE TYPE NAME>'" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```

### Get all supported device types

When querying a private device type it's necessary to include your bearer token. For public device types the auth header is optional.

```bash
GET "https://api.balena-cloud.com/v7/device_type?\$filter=is_default_for__application/any(idfa:(idfa/is_host%20eq%20true)%20and%20(idfa/is_archived%20eq%20false)%20and%20(idfa/owns__release/any(r:(r/status%20eq%20'success')%20and%20(r/is_final%20eq%20true)%20and%20(r/is_invalidated%20eq%20false))))&\$orderby=name%20asc" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.balena.io/reference/api/resources/device_type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
